### Method

# Gck Object get_async

#### Declaration [src]

    void
    gck_object_get_async (
      GckObject* self,
      const gulong* attr_types,
      guint n_attr_types,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the specified attributes from the object. The attributes will be cleared of their current values, and new attributes will be stored. The attributes should not be accessed in any way except for referencing and unreferencing them until `gck_object_get_finish()` is called.

This call returns immediately and completes asynchronously.

This method completes asynchronously. Use `gck_object_get_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`attr_types`

  Type: An array of `gulong`

  The types of the attributes to get.

  The length of the array is specified in the `n_attr_types` argument.
  The data is owned by the caller of the method.

`n_attr_types`

  Type: `guint`

  The number of attr_types.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback which is called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.